/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.addminutestocurrenttime;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 *
 * @author omozegieaziegbe
 */
public class AddMinutesToCurrentTime {

    public static void main(String[] args) {
        
        // Get the current time
        LocalDateTime currentTime = LocalDateTime.now();

        // Add minutes to the current time
        int minutesToAdd = 30;
        LocalDateTime newTime = currentTime.plusMinutes(minutesToAdd);

        // Format the times for display
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("HH:mm:ss");
        String currentTimeString = currentTime.format(formatter);
        String newTimeString = newTime.format(formatter);

        // Output the results
        System.out.println("Current Time: " + currentTimeString);
        System.out.println("New Time: " + newTimeString);
    }
}