/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.datetimeapiexample;

import java.time.LocalTime;
import java.time.format.DateTimeFormatter;

/**
 *
 * @author omozegieaziegbe
 */
public class DateTimeApiExample {

    public static void main(String[] args) {
        
        // Time in String format
        String timeString = "15:30:00";
        
        // minutes to add
        int minutesToAdd = 10;

        //Create a formatter with the pattern HH:mm:ss
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("HH:mm:ss");
        
        //Create a LocalTime object
        LocalTime time = LocalTime.parse(timeString, formatter);

        // Adding minutes to time
        LocalTime newTime = time.plusMinutes(minutesToAdd);
        String newTimeString = newTime.format(formatter);

        System.out.println("Original Time: " + timeString);
        
        // Display the new Time
        System.out.println("New Time with Date Time API: " + newTimeString);
        
    }
    
}
