/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.legacydateapiexample;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 *
 * @author omozegieaziegbe
 */
public class LegacyDateApiExample {

    public static void main(String[] args) throws ParseException {
        
        String timeString = "9:30:00";
        int minutesToAdd = 10;

        SimpleDateFormat sdf = new SimpleDateFormat("HH:mm:ss");
        Date date = sdf.parse(timeString);

        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.MINUTE, minutesToAdd);

        Date newTime = calendar.getTime();
        String newTimeString = sdf.format(newTime);

        System.out.println("Original Time: " + timeString);
        System.out.println("New Time (Legacy Date API): " + newTimeString);
        
    }
}
